# set_bb_floorfirst

Specifies which branch to take first in branch-and-bound algorithm.

void set_bb_floorfirst(lprec *lp, int bb_floorfirst);

Return Value

set_bb_floorfirst has no return value.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

bb_floorfirst

Specifies which branch to take first in branch-and-bound algorithm. Can by any of the following values:

BRANCH_CEILING (0) | Take ceiling branch first
BRANCH_FLOOR (1) | Take floor branch first
BRANCH_AUTOMATIC (2) | Algorithm decides which branch being taken first

Remarks

The set_bb_floorfirst function specifies which branch to take first in branch-and-bound algorithm. This can influence solving times considerably. Depending on the model one rule can be best and for another model another rule.
The default is BRANCH_AUTOMATIC (2).
Note that this setting can be overruled by a user routine to choose the branch. See put_bb_branchfunc.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      set_bb_floorfirst(lp, BRANCH_AUTOMATIC);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_bb_floorfirst, set_var_branch, get_var_branch, set_var_weights, get_var_priority, put_bb_branchfunc